petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestSetAdjacencyCodimension

Like DMForestSetAdjacencyDimension(), but specified as a co-dimension (so that, e.g., adjacency based on facets can be specified by codimension 1 in all cases)

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestSetAdjacencyCodimension(DM dm, PetscInt adjCodim)

Logically collective on dm

### Input Parameters

| dm | - the forest
| adjCodim | - default isthe dimension of the forest (see DMGetDimension()), since this is the codimension of vertices

### See Also

DMForestGetAdjacencyCodimension(), DMForestSetAdjacencyDimension()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages